Skip to contentManaged Kafka is live: Apache Kafka on AWS for half the cost of MSK

Snowflake Eco schedules

Get a Snowflake eco schedule

GET/snowflake-eco-schedules/{uuid}

Retrieves a Snowflake eco schedule by UUID.

Authorizations

  • Authorizationstringheaderrequired

    API key passed as a Bearer token in the Authorization header.

Request

curl --request GET \
  --url https://api.artie.com/snowflake-eco-schedules/{uuid} \
  --header 'Authorization: Bearer <token>'

Path parameters

  • uuidstringrequired

Responses

200OKapplication/json

  • companystring<uuid>required
  • createdAtstring<date-time>required
  • environmentUUIDstring<uuid>required
  • namestringrequired
  • settingsobjectrequired
    Show child attributes
    • daysstring[]required
    • endTimeOfDaystringrequired
    • offPeakBufferRowsintegerrequired
    • offPeakFlushIntervalSecondsintegerrequired
    • offPeakFlushSizeKbintegerrequired
    • startTimeOfDaystringrequired
    • timezonestringrequired
  • updatedAtstring<date-time>required
  • uuidstring<uuid>required

404Not Found

500Internal Server Error

200 OK
{
  "company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "settings": {
    "days": [
      "<string>"
    ],
    "endTimeOfDay": "<string>",
    "offPeakBufferRows": 123,
    "offPeakFlushIntervalSeconds": 123,
    "offPeakFlushSizeKb": 123,
    "startTimeOfDay": "<string>",
    "timezone": "<string>"
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}